classification
Title: Indent methods and attributes of MimeTypes class
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Jim Fasarakis-Hilliard, Mariatta, docs@python
Priority: normal Keywords:

Created on 2017-04-26 17:13 by Jim Fasarakis-Hilliard, last changed 2017-05-25 17:14 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1306 merged Jim Fasarakis-Hilliard, 2017-04-26 17:14
PR 1570 merged Mariatta, 2017-05-13 16:42
PR 1571 merged Mariatta, 2017-05-13 16:45
PR 1572 open Mariatta, 2017-05-13 16:49
PR 1801 merged matrixise, 2017-05-24 23:18
Messages (6)
msg292374 - (view) Author: Jim Fasarakis-Hilliard (Jim Fasarakis-Hilliard) * Date: 2017-04-26 17:13
Similar to #30168 opened earlier. The MimeTypes class's methods and attributes aren't indented and the resulting documentation is not indented and duplicates the class name. 

Didn't find anything that might indicate this was intentional when trying to blame this change. It seems to have happened at some point between 2.6 [1] and 2.7 [2], though, where the class directive was moved to the MimeTypes Objects section. Also didn't find an expert for this module in the index. 

Proposed change just indents these. 

[1]: https://github.com/python/cpython/blame/2.6/Doc/library/mimetypes.rst
[2]: https://github.com/python/cpython/blame/2.7/Doc/library/mimetypes.rst
msg293615 - (view) Author: Jim Fasarakis-Hilliard (Jim Fasarakis-Hilliard) * Date: 2017-05-13 15:19
bump
msg293616 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-05-13 16:34
New changeset c71168090df435c1eb8c03005b11df764cd7ebd6 by Mariatta (Jim Fasarakis-Hilliard) in branch 'master':
bpo-30178: Indent methods and attributes of MimeType class (GH-1306)
https://github.com/python/cpython/commit/c71168090df435c1eb8c03005b11df764cd7ebd6
msg293618 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-05-13 16:59
New changeset 600c5ad53c0112d48581c48f986ea04676a28c44 by Mariatta in branch 'master':
bpo-30178: Add Jim Fasarakis-Hilliard to Misc/ACKS (GH-1572)
https://github.com/python/cpython/commit/600c5ad53c0112d48581c48f986ea04676a28c44
msg293623 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-05-13 18:46
Jim, are you up for preparing the backport to 2.7?
I came across a conflict while doing so with cherry_picker.py, and don't have the bandwidth to resolve it for now.
Otherwise, I'll look into the 2.7 backport after PyCon.
Thanks :)
msg294500 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-05-25 17:14
Thanks Jim and Stéphane.
History
Date User Action Args
2017-05-25 17:14:57Mariattasetstatus: open -> closed
resolution: fixed
messages: + msg294500

stage: backport needed -> resolved
2017-05-24 23:18:43matrixisesetpull_requests: + pull_request1884
2017-05-13 18:46:13Mariattasetmessages: + msg293623
2017-05-13 16:59:10Mariattasetmessages: + msg293618
2017-05-13 16:49:29Mariattasetpull_requests: + pull_request1667
2017-05-13 16:45:15Mariattasetpull_requests: + pull_request1666
2017-05-13 16:42:41Mariattasetpull_requests: + pull_request1665
2017-05-13 16:34:57Mariattasetstage: patch review -> backport needed
2017-05-13 16:34:30Mariattasetnosy: + Mariatta
messages: + msg293616
2017-05-13 16:32:41Mariattasetstage: patch review
versions: + Python 2.7, Python 3.5, Python 3.6
2017-05-13 15:19:56Jim Fasarakis-Hilliardsetmessages: + msg293615
2017-04-26 17:14:15Jim Fasarakis-Hilliardsetpull_requests: + pull_request1413
2017-04-26 17:13:34Jim Fasarakis-Hilliardcreate